/*------------------------------------------------------*\

    Author:     Ed Smiley
                esmiley@cruzio.com
                http://mail.cruzio.com/~esmiley/

    Date:         June 13, 1998
    Revised:    June 13, 1998
    Name:       LaunchAppGetExitCode.rul
   Version:    1.01


This program via demented brain of Ed Smiley 1998.

This program may be freely copied and distributed without
restriction.  The one proviso is that full credit be given.

NOTE: THIS SOFTWARE IS MADE AVAILABLE ON AN AS IS BASIS.
NO WARRANTY OF ANY KIND IS IMPLIED.  THIS SOFTWARE IS NOT
DESIGNED FOR HANDLING MISSION CRITICAL APPLICATIONS SUCH AS
NUCLEAR ATTACK LAUNCH FROM SUBMARINE FLEET, OIL WELL FIRE
CAPPING, HIGH EXPLOSIVE DEMOLITION, ROBOTIC POWER TOOLS AND
ROBOTIC MOTOR VEHICLES, REMOTE CONTROL NEUROSURGERY,
INTERSTELLER SPACECRAFT, SELLING NETSCAPE STOCK SHORT, OR
USE OF SHARP OBJECTS AROUND SMALL CHILDREN OR ANIMALS.
VOID WHERE PROHIBITED BY LAW.  KIDS DON'T TRY THIS AT HOME.
LATHER RINSE REPEAT.
\*---------------------------------------------------------*/

/*        NOTE:  Uses the similar definitions to hideappandwait
        by  Elihu Rozen <Elihu_Rozen@psdi.com>
*/

#define UNABLE_TO_LAUNCH -999

#define STILL_ACTIVE    0x00000103L


     prototype HideAppAndWait(STRING, STRING, NUMBER);

     prototype BOOL kernel32.CreateProcessA(POINTER, STRING, POINTER,
               POINTER, BOOL, NUMBER, POINTER, POINTER, POINTER,
               POINTER);
     prototype BOOL kernel32.GetExitCodeProcess(NUMBER, POINTER);

    typedef STARTUPINFO
    begin
        NUMBER   cb;
        POINTER  lpReserved;
        POINTER  lpDesktop;
        POINTER  lpTitle;
        NUMBER   dwX;
        NUMBER   dwY;
        NUMBER   dwXSize;
        NUMBER   dwYSize;
        NUMBER   dwXCountChars;
        NUMBER   dwYCountChars;
        NUMBER   dwFillAttribute;
        NUMBER   dwFlags;
        // the following is actually two words, but we know
        // we want 0 as the value, so we cheat & create one NUMBER
        NUMBER    wShowWindow;
        //WORD    cbReserved2;
        POINTER  lpReserved2;
        HWND  hStdInput;
        HWND  hStdOutput;
        HWND  hStdError;
    end;

    typedef PROCESS_INFORMATION
    begin
        NUMBER hProcess;
        HWND hThread;
        NUMBER dwProcessId;
        NUMBER dwThreadId;
    end;
